DocumentationAPI ReferenceContact UsGet Started
Introduction

Affiliates

List affiliates GETGet affiliate GETCreate affiliate POSTUpdate affiliate PUT

Campaigns

List campaigns GETGet campaign GETCreate campaign POSTUpdate campaign PUT

Referrals

List referrals GETCreate referral POSTUpdate referral PUT

Commissions

List commissions GETGet commission GETCreate commission POSTUpdate commission PUT

Payouts

List payouts GETGet payout GET
Commissions

Update commission

Updates the commission amount of an unpaid commission or marks it as paid.

Only commission_amount and payout_status can be changed. payout_status can only be set to paid, and a paid commission cannot be switched back to not_paid. Commissions that have been paid out or are processing in a payout are locked and return a 409 conflict_error

PUT
/commissions/{id}
/commissions/{id}

The Authorization access token

Authorization

Authorization
Required
Bearer <token>

API key authentication. Use your API key as the bearer token. The organization that owns the key must have an active or trialing PromoteKit subscription; otherwise requests fail with a 403 subscription_error.

In: header

Request Body

application/jsonRequired

commission_amountnumber

New commission amount in the organization's currency (must be greater than 0)

payout_statusstring

Set to paid to mark an unpaid commission as paid out. This cannot be undone through the API.

Value in: "paid"

Path Parameters

id
Required
string

Resource UUID

Format: "uuid"
curl -X PUT "https://www.promotekit.com/api/v1/commissions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "commission_amount": 12.5,
    "payout_status": "paid"
  }'

Previous

Create commission POST

Next

List payouts GET

Commission updated

{
  "success": true,
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "revenue_amount": 0,
    "currency": "string",
    "commission_amount": 0,
    "payout_status": "not_paid",
    "referral_date": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z",
    "stripe_payment_id": "string",
    "affiliate": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "email": "user@example.com",
      "first_name": "string",
      "last_name": "string",
      "payout_email": "user@example.com",
      "links": [
        {
          "url": "string",
          "code": "string"
        }
      ],
      "promo_codes": [
        {
          "code": "string",
          "external_id": "string"
        }
      ],
      "clicks": 0,
      "approved": true,
      "banned": true,
      "details": "string",
      "custom_fields": [
        {
          "id": "string",
          "label": "string",
          "value": "string"
        }
      ],
      "new_paid_referral_notifications": true,
      "created_at": "2019-08-24T14:15:22Z",
      "campaign": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "website_url": "string",
        "commission_type": "percentage",
        "commission_amount": 0,
        "is_default": true,
        "limit_type": "string",
        "limit_amount": 0,
        "code_mode": "link",
        "reference_coupon": "string",
        "custom_commission_type": "string",
        "welcome_message": "string",
        "approval_needed": true,
        "collect_details": true,
        "details_text": "string",
        "custom_fields": [
          {
            "id": "string",
            "label": "string",
            "type": "text",
            "options": [
              "string"
            ],
            "required": true
          }
        ],
        "hide_emails": true,
        "dashboard_text": "string",
        "cookie_duration": 0,
        "first_payment_commission": {
          "enabled": true,
          "type": "string",
          "amount": 0
        }
      }
    },
    "referral": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "email": "user@example.com",
      "subscription_status": "active",
      "signup_date": "2019-08-24T14:15:22Z",
      "stripe_customer_id": "string",
      "created_at": "2019-08-24T14:15:22Z"
    },
    "payout": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "affiliate_name": "string",
      "payout_email": "user@example.com",
      "amount": 0,
      "currency": "string",
      "period": "string",
      "payment_count": 0,
      "created_at": "2019-08-24T14:15:22Z"
    }
  }
}